/**
  ******************************************************************************
  * @file         main.c
  * @brief        This file provides the main entry point to the application.
  *               Good starting point.
  ******************************************************************************
  * @attention
  *
  *
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/

#include <zephyr.h>
#include <sys/printk.h>
#include <devicetree.h>
#include <drivers/gpio.h>

#include "afe.h"
#include "flash.h"
#include "i2c.h"

/* Private typedef -----------------------------------------------------------*/



/* Private define ------------------------------------------------------------*/
#define THREAD_PRIORITY_AFE  	7
#define THREAD_PRIORITY_FLASH 	7
#define THREAD_PRIORITY_I2C		7

/* Private macro -------------------------------------------------------------*/

/* Private function prototypes -----------------------------------------------*/

/* Private variables ---------------------------------------------------------*/

/* Private user code ---------------------------------------------------------*/

/* External variables --------------------------------------------------------*/

/* Functions -----------------------------------------------------------------*/

void main(void)
{
	printk("----- Hello World -----\n");
	//uint64_t time_stamp;


	// thread initialization, do what we gotta do to config stuff
	// on startup
	//I2cInit();

	//AfeInit();

	FlashInit();


	
	printk("\033[m -- STARTING MAIN LOOP -- \n");
	// main loop.

	while(1)
	{
		__NOP();
		k_msleep(1000);
		//time_stamp = k_uptime_get();
		//printk("tick... %llu\n", (k_uptime_get()/1000));
	}
}
